Package net.dona.doip.server

## Class DoipServerConfig.TlsConfig

- java.lang.Object
- - net.dona.doip.server.DoipServerConfig.TlsConfig

- Enclosing class:
    DoipServerConfig

      public static class DoipServerConfig.TlsConfig
      extends java.lang.Object

  TLS configuration for a `DoipServer`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.security.cert.X509Certificate[]` | `certificateChain` | Certificate chain for the server.
    `java.lang.String` | `id` | Identifier for the server, which will be included in any automatically generated server certificate.
    `java.security.PrivateKey` | `privateKey` | Private key for the server.
    `java.security.PublicKey` | `publicKey` | Public key for the server.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TlsConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public java.lang.String id

      Identifier for the server, which will be included in any automatically generated server certificate. If only id is present, a keypair will be minted on server startup. If `certificateChain` is provided this is ignored.

    - #### publicKey

          public java.security.PublicKey publicKey

      Public key for the server. If `certificateChain` is provided this is ignored. Otherwise a self-signed certificate using this public key is automatically generated.

    - #### privateKey

          public java.security.PrivateKey privateKey

      Private key for the server. Required if `publicKey` or `certificateChain` are present.

    - #### certificateChain

          public java.security.cert.X509Certificate[] certificateChain

      Certificate chain for the server.

  - ### Constructor Detail

    - #### TlsConfig

          public TlsConfig()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`